# Uses of Class
javax.management.openmbean.TabularType

Packages that use TabularType
Package
Description
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

- ## Uses of TabularType in javax.management.openmbean

  Methods in javax.management.openmbean that return TabularType
  Modifier and Type
  Method
  Description
  `TabularType`
  TabularData.`getTabularType()`
  Returns the tabular type describing this `TabularData` instance.
  `TabularType`
  TabularDataSupport.`getTabularType()`
  Returns the tabular type describing this `TabularData` instance.
  Constructors in javax.management.openmbean with parameters of type TabularType
  Modifier
  Constructor
  Description
  ``
  `TabularDataSupport(TabularType tabularType)`
  Creates an empty `TabularDataSupport` instance whose open-type is tabularType, and whose underlying `HashMap` has a default initial capacity (101) and default load factor (0.75).
  ``
  `TabularDataSupport(TabularType tabularType, int initialCapacity, float loadFactor)`
  Creates an empty `TabularDataSupport` instance whose open-type is tabularType, and whose underlying `HashMap` has the specified initial capacity and load factor.